## md5deep 3.9.1

=== debian/changelog ===
md5deep (3.9.1-1) unstable; urgency=low

  * Team upload.

  [ Christophe Monniez ]
  * Merging upstream version 3.9 (Closes: #626014)

  [ Julien Valroff ]
  * New upstream release 3.9.1
  * Switch to 3.0 (quilt) package source format
  * Use dh-autoreconf (Closes: #539420)
  * Bump debhelper compat to 8 
  * Bump Standards-Version to 3.9.2 (no changes needed) 

 -- Julien Valroff <julien@debian.org>  Fri, 03 Jun 2011 08:07:40 +0200

md5deep (3.7-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Bumping Standards-Version to 3.9.1.
  * Merging upstream version 3.7.
  * Updating quilt patch.

 -- Michael Prokop <mika@debian.org>  Mon, 21 Feb 2011 23:34:49 +0100

md5deep (3.6-1) unstable; urgency=low

  * Bump version number to address new upstream version.

 -- Michael Prokop <mika@debian.org>  Wed, 28 Jul 2010 15:54:33 -0400

md5deep (3.4-4) unstable; urgency=low

  [ Christophe Monniez ]
  * Adding a README.source.
  * Merging upstream version 3.6.
  * Updating quilt build depends.
  * Added a watch file.
  * Bumping standards version to 3.9.0.

 -- Michael Prokop <mika@debian.org>  Wed, 28 Jul 2010 11:51:41 -0400

md5deep (3.4-3) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding stuff in rules that doesn't get done by dh automatically.

  [ Michael Prokop ]
  * Update VCS headers (moved to alioth).
  * Bump Standards-Version to 3.8.3.
  * Build-Depend on debhelper (>= 7.0.50~).
  * Drop config.guess + config.sub from debian package / git tree.

 -- Michael Prokop <mika@debian.org>  Fri, 02 Oct 2009 11:09:16 +0200

md5deep (3.4-2) unstable; urgency=low

  * Minimizing rules file.
  * Adding patch from Franck Joncourt <franck.mail@dthconnex.com> to fix
    lintian warnings in manpage (Closes: #538911).

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Jul 2009 10:23:42 +0200

md5deep (3.4-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 3.4.

  [ Daniel Baumann ]
  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:06:16 +0200

md5deep (3.3-1) unstable; urgency=low

  * Merging upstream version 3.3.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 23:24:20 +0200

md5deep (3.1-2) unstable; urgency=low

  * Adding myself to copyright file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Prefixing debhelper files with package name.
  * Passing flags directly to configure.
  * Updating package to standards 3.8.1.
  * Tidy rules file.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 21:40:44 +0200

md5deep (3.1-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Initial release (Closes: #469063).

  [ Daniel Baumann ]
  * Removing useless empty line from changelog file.
  * Correcting typo in uploaders field of control file.
  * Updating vcs fields in control file.
  * Rewrapping package long-description in control file.
  * Sticking to upstream license text in copyright file.
  * Some cosmetic corrections in rules file.
  * Correct wrong binary targets in rules file.
  * Removing useless debhelper calls in binary-arch target of rules file.
  * Removing useless --infodir from configure call in rules file.
  * Adding NEWS and TODO file to docs.
  * Adding copyright information for hashdeep/lib-strsep.c to copyright file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 18 Sep 2008 18:55:00 +0200
