## md5deep 3.9.2

=== debian/changelog ===
md5deep (3.9.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release

 -- Julien Valroff <julien@debian.org>  Sat, 17 Sep 2011 08:27:10 +0200
