=== debian/control ===
Source: md5deep
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
Build-Depends: debhelper (>= 8.0.0), autotools-dev
Standards-Version: 3.9.2
Homepage: http://md5deep.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=forensics/md5deep.git
Vcs-Git: git://git.debian.org/forensics/md5deep.git

Package: md5deep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Recursively compute hashsums or piecewise hashings
 Md5deep is a set of tools to compute md5, sha-1, sha-256, tiger, whirlpool
 hashsums of arbitrary number of files recursively.
 .
 It can also compare those hashsums with a list of known hashes. The tools can
 display those that match the list or those that does not match. It can display
 a time estimation when processing large files. It can do piecewise hashing
 (hashing input files in arbitrary sized blocks).
