=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS+=-Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev
