## md5deep 4.2

=== debian/changelog ===
md5deep (4.2-1) unstable; urgency=low

  [ Christophe Monniez ]
  * [ef64dec] Removing man pages patch.
  * [bddcf44] Disabling tests.

  [ Michael Prokop ]
  * [beb4f6a] Merging upstream version 4.2
  * [f6d6370] Bump Standards-Version to 3.9.3.

 -- Michael Prokop <mika@debian.org>  Thu, 14 Jun 2012 18:00:02 +0200

md5deep (4.1-1) unstable; urgency=low

  [ Julien Valroff ]
  * Update DEP-5 uri

  [ Christophe Monniez ]
  * Imported Upstream version 4.1

 -- Christophe Monniez <christophe.monniez@fccu.be>  Fri, 24 Feb 2012 11:19:16 +0100
