=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://md5deep.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=forensics/md5deep.git
 Vcs-Git: git://git.debian.org/forensics/md5deep.git
