=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ --with autotools_dev
+
+override_dh_auto_test:
+	# do nothing
