=== debian/watch ===
version=3
http://sf.net/md5deep/md5deep-(.+)\.tar\.gz
